/**
 *
 */
package org.gcube.portlets.widgets.wstaskexecutor.client;

import java.util.List;

import org.gcube.portlets.widgets.wstaskexecutor.shared.GcubeScope;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.AsyncCallback;


/**
 * The Interface GreetingServiceAsync.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * May 4, 2018
 */
public interface GreetingServiceAsync {


    /**
     * The Class Util.
     *
     * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
     * May 4, 2018
     */
    public static final class Util
    {
        private static GreetingServiceAsync instance;

        /**
         * Gets the single instance of Util.
         *
         * @return single instance of Util
         */
        public static final GreetingServiceAsync getInstance()
        {
            if ( instance == null )
            {
                instance = (GreetingServiceAsync) GWT.create( GreetingService.class );
            }
            return instance;
        }

        /**
         * Instantiates a new util.
         */
        private Util()
        {
            // Utility class should not be instantiated
        }
    }

	/**
	 * @param asyncCallback
	 */
	void getListOfScopesForLoggedUser(
		AsyncCallback<List<GcubeScope>> asyncCallback);
}
