package org.gcube.portlets.widgets.wstaskexecutor.client;

import java.util.List;

import org.gcube.portlets.widgets.wstaskexecutor.shared.GcubeScope;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;


/**
 * The Interface GreetingService.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * May 4, 2018
 */
@RemoteServiceRelativePath("greet")
public interface GreetingService extends RemoteService {

	/**
	 * Gets the list of scopes for logged user.
	 *
	 * @return the list of scopes for logged user
	 * @throws Exception the exception
	 */
	List<GcubeScope> getListOfScopesForLoggedUser() throws Exception;
}
